Findings
List finding filter facets
Return the available filter values (status, severity, and related dimensions) with their counts for the current query, for building filter UIs without a second full scan. Applies the same visibility rules as GET /findings/catalog.
GET
/
api
/
v1
/
orgs
/
{orgSlug}
/
findings
/
facets
List finding filter facets
curl --request GET \
--url https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"severities": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"statuses": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"sources": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"agents": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"createdBy": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"visibilities": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"categories": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"owasps": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"impactCategories": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"fixPriorities": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
]
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}Authorizations
A Tolmo API token, sent as Authorization: Bearer <token>. Either a user token (usr_tok.*, minted by tolmo auth login, scoped to your own permissions) or an org API token created in the Tolmo app, for CI and automation.
Path Parameters
Query Parameters
Available options:
open, in_review, closed, acknowledged, false_positive, canceled Available options:
critical, high, medium, low, info Available options:
open, in_review, closed, acknowledged, false_positive, canceled Available options:
open, in_review, closed, acknowledged, false_positive, canceled Available options:
critical, high, medium, low, info Available options:
critical, high, medium, low, info Maximum string length:
512Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
List finding filter facets
curl --request GET \
--url https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tolmo.com/api/v1/orgs/{orgSlug}/findings/facets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"severities": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"statuses": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"sources": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"agents": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"createdBy": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"visibilities": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"categories": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"owasps": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"impactCategories": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
],
"fixPriorities": [
{
"value": "<string>",
"label": "<string>",
"count": 4503599627370495
}
]
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}